org.apache.lucene.index

## Class NumericDocValues

- java.lang.Object
- - org.apache.lucene.index.NumericDocValues

-     public abstract class NumericDocValues
      extends Object

  A per-document numeric value.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NumericDocValues` | `EMPTY` An empty NumericDocValues which returns zero for every document

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NumericDocValues()` Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract long` | `get(int docID)` Returns the numeric value for the specified document ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final NumericDocValues EMPTY

      An empty NumericDocValues which returns zero for every document

  - ### Constructor Detail

    - #### NumericDocValues

          protected NumericDocValues()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### get

          public abstract long get(int docID)

      Returns the numeric value for the specified document ID.
      Parameters:
        `docID` - document ID to lookup
      Returns:
        numeric value

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.